=== debian/control ===
Source: visualboyadvance
Section: user/other
Priority: extra
Maintainer: Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>
Uploaders: Ola Lundqvist <opal@debian.org>
Build-Depends: autotools-dev, libsdl1.2-dev, zlib1g-dev, nasm [i386], libtool, libpng12-dev | libpng-dev, libx11-dev, libxt-dev, x-dev|x11proto-core-dev, dpatch, docbook-to-man
Standards-Version: 3.6.2

Package: visualboyadvance
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xmaeme
Description: a full featured Game Boy Advance emulator
 VisualBoyAdvance is a Game Boy Advance emulator that works with
 many ROMs that are publically available. It features save states
 (like those that are available in ZSNES), full screen support,
 joystick support, the all-important 'speedup emulation' key for
 impatient gamers, and a lot more.
 . 
 It also contains many useful tools for Game Boy Advance developers,
 such as powerful GDB and gprof integration.
 .
 This package contains a version of VisualBoyAdvance compiled with
 the original GUI-less SDL interface.
 .
 Homepage: http://sourceforge.net/projects/vba
 .
 This package is built for the Nokia 770, and has some of the 
 default keybindings preconfigured for its hardware keys.
 It works best with the Xmaeme launcher.
 Port homepage: http://garage.maemo.org/projects/xmame
