=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT=4

include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS := -Wall -g -W -O0 -Wl,-z,defs -DBKPT_SUPPORT -D__MAEMO__
CXXFLAGS := -Wall -g -W -O0 -Wl,-z,defs -DBKPT_SUPPORT -D__MAEMO__

config.status: configure patch-stamp
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
		--sysconfdir=/etc --enable-sdl --with-xsp
#		CC=/usr/bin/gcc-3.3 CXX=/usr/bin/g++-3.3 CPP=/usr/bin/cpp-3.3

build: build-stamp

build-stamp: patch-stamp config.status
	dh_testdir
	# Add here commands to compile the package.
	for i in $$(ls po/*.po | sed 's/.po//'); do \
		msgfmt -o $$i.gmo $$i.po; \
	done
	$(MAKE)
	docbook-to-man debian/VisualBoyAdvance.1.sgml > VisualBoyAdvance.1
	touch build-stamp

clean: clean1 unpatch

clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f po/*.gmo
	rm -f VisualBoyAdvance.1 config.log config.status
	find -name "Makefile" | xargs rm -f;
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# Add here commands to install the package into debian/visualboyadvance.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/visualboyadvance
	cp debian/VisualBoyAdvance-32x32.xpm debian/visualboyadvance/usr/share/pixmaps;

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installdebconf
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
