=== debian/watch ===
version=2
http://prdownloads.sourceforge.net/vba/ VisualBoyAdvance-src-(.*)\.tar\.gz
