## visualboyadvance 1.8.0.dfsg

=== debian/changelog ===
visualboyadvance (1.8.0.dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -fpermissive to workaround FTBFS with gcc 12.
    (Closes: #1013062)

 -- Adrian Bunk <bunk@debian.org>  Thu, 18 Aug 2022 16:05:47 +0300

visualboyadvance (1.8.0.dfsg-5) unstable; urgency=medium

  * Remove visualboyadvance-gtk, which relies on GTK 2.4 (Closes: #885074)
  * Bump dh compat level to 11.
  * Bump S-V to 4.1.2 (no changes needed).
  * Strip trailing whitespace from changelog.

 -- Etienne Millon <me@emillon.org>  Thu, 28 Dec 2017 23:38:10 +0100

visualboyadvance (1.8.0.dfsg-4) unstable; urgency=medium

  * Do not include C headers within std namespace.
    - Fixes FTBFS with GCC 6 (Closes: #831197)
  * Remove mention of lpia architecture.
  * Use secure schemes for VCS URIs.
  * Bump S-V to 3.9.8 (no changes needed).
  * Fix a typo in debugger output.
  * Build with hardening=+all.
  * Use dh-autoreconf:
    - Drop build-deps on autotools.
    - Simplify debian/rules.

 -- Etienne Millon <me@emillon.org>  Wed, 03 Aug 2016 23:23:59 +0200

visualboyadvance (1.8.0.dfsg-3) unstable; urgency=medium

  * Add a patch to fix CPU usage under SDL.
    Thanks to Matthew Harvey (Closes: #740292)
  * Change my email address.
  * Bump S-V to 3.9.6 (no changes needed).
  * Remove menu file.
  * Remove obsolete include <sigc++/object.h>. (Closes: #805163)

 -- Etienne Millon <me@emillon.org>  Wed, 18 Nov 2015 09:37:40 +0100

visualboyadvance (1.8.0.dfsg-2) unstable; urgency=low

  * Switch to dh short form:
    - Bump dh compatibility to 9
    - Enable build flags support
    - Enable hardening
  * Bump S-V to 3.9.4 (no changes needed).
  * New patches:
    - correct a format string bug.
    - don't regenerate vba.pot and *.po (fixes FTBFS if building twice).
  * Suggest joy2key for joypad support. (Closes: #706721)
  * Add Keywords entry to desktop file.
  * Canonicalize Vcs-* fields.

 -- Etienne Millon <etienne.millon@gmail.com>  Wed, 15 May 2013 13:58:15 +0200

visualboyadvance (1.8.0.dfsg-1) unstable; urgency=low

  [ Etienne Millon ]
  * Team upload.
  * Acknowledge NMU, thank you Julien !
  * Uploaders:
    - Add myself.
    - Remove Evgeni Golov (per request).
    - Remove Nick Ellery (mail bounced).
  * Switch to 3.0 (quilt) format.
    - Bump debhelper compatibility level to 7.
  * debian/rules :
    - Add --as-needed to linker flags.
    - Add build-{arch,indep} targets.
    - Use "find -delete" instead of "xargs rm -f".
  * debian/control :
    - Build-Depend on libpng-dev instead of libpng12-dev (Closes: #662538).
    - Bump Standards-Version to 3.9.3 (no changes needed).
  * debian/copyright :
    - remove 2xSaImmx.asm copyright information as it is not present anymore.
    - link to GPL-2 instead of the GPL symlink in common-licenses.
  * New patches :
    - fix FTBFS with zlib. (Closes: #663943). Thanks to Peter Green.
    - fix FTBFS with libpng 1.5 (Closes: #649804).
      Thanks to Nobuhiro Iwamatsu.
    - fix sound with SDL (Closes: #456501). Thanks to Alphard.
  * debian/watch : mangle "dfsg" part.

  [ Evgeni Golov ]
  * Remove Ola Lundqvist <opal@debian.org> from Uploaders.

 -- Etienne Millon <etienne.millon@gmail.com>  Mon, 21 May 2012 22:49:18 +0200

visualboyadvance (1.8.0.dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop src/i386/2xSaImmx.asm from the tarball, it doesn't allow commercial
    use.  Pass --without-mmx to configure (closes: #607598).
  * debian/rules sets $(confflags) based on DEB_{HOST,BUILD}_GNU_TYPE, use it.

 -- Julien Cristau <jcristau@debian.org>  Thu, 06 Jan 2011 19:19:18 +0100

visualboyadvance (1.8.0-6) unstable; urgency=low

  [ Nick Ellery ]
  * Add debian/README.source to explain where to get upstream source.

  [ Evgeni Golov ]
  * Add 09_deprecatedsigc++.dpatch from Gentoo to fix FTBFS with recent
    libsigc++.
    Closes: #569461
  * debian/control:
    + Add myself to Uploaders.
    + Wrap Build-Depends.
    + Standards-Version: 3.8.4.

 -- Evgeni Golov <evgeni@debian.org>  Thu, 18 Mar 2010 11:38:37 +0100

visualboyadvance (1.8.0-5) unstable; urgency=low

  * debian/control:
    - Change maintainer to pkg-games (Closes: #529682).
    - Add myself to uploaders.
    - Change section to otherosfs
    - Change obsolete build-dep on x-dev to x11proto-core-dev (Closes: #515400)
    - Add lpia build-depends on nasm for Ubuntu.
    - Update vba-gtk description to mention GTK+ support (Closes: #498553).
    - Change priority to optional (LP: #381131).
    - Update standards-version to 3.8.2, no changes necessary.
    - Drop the 'a' from the start of both short descriptions.
    - Use (= {$binary:Version}) for vba-gtk dependency on vba.
    - Add Vcs* headers for pkg-games git.
  * debian/copyright:
    - Add missing copyright holders.
    - Change license to mention acceptable later versions of GPL.
  * debian/rules:
    - Remove unnecessary comments.
    - Pass --host/--build conditionally for autotools/automake
    - Don't overwrite CFLAGS.
    - Install vba-gtk files through visualboyadvance-gtk.install rather than
      in install.
    - Don't pollute .diff.gz with config.* files.
  * debian/patches/*
    - Add missing dpatch descriptions.
  * Add desktop file from Ubuntu, thanks Dennis Craven (Closes: #481479).
  * Rename xpm icon in debian/ to VisualBoyAdvance-gtk-32x32.xpm.
  * Drop unnecessary po/vba.pot.
  * Revert changes in po/fr.po.

 -- Nick Ellery <nick.ellery@ubuntu.com>  Wed, 15 Jul 2009 15:03:38 -0700

visualboyadvance (1.8.0-4) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version: 3.7.3.
    - Added Homepage header.
    - Solved spelling error GTK to GTK+ in gtk binary description.
    - Build-Depends standard gcc/g++. (Closes: #463303)
  * Added 08_gvba_load_gb_rom.dpatch to solve segmentation fault. Thanks to
    Javier Serrano Polo <jasp00@terra.es>. (Closes: #452796)
  * debian/copyright:
    - Updated with 2xSaImmx.asm license. (Closes: #441978)

